{{- if $.Values.pgadminEnableIngress }}
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: pgadmin-ingress
  namespace: {{ .Release.Namespace }}
spec:
  entryPoints:
    - websecure
  routes:
    - match: Host(`pgadmin.{{ .Release.Namespace }}.{{ .Values.rootEnvironment }}.{{ .Values.ingressDomain }}`)
      kind: Rule
      middlewares:
        - name: traefik-traefik-forward-auth-{{ .Values.rootEnvironment }}@kubernetescrd
      services:
        - name: pgadmin-service
          port: 81
  tls:
    certResolver: ourcertresolver
{{- end }}